Subject: Re: DTS question

From: Segher Boessenkool <[email-masked]>
Date: Fri, 21 Mar 2008 12:31:40 +0100

>>  I wondered about this. Since the AD from Analog Devices is built into
>>  the part number, I didn't know if it was needed. And analog-devices 
>> is
>>  pretty long ;)
>>
>>  But I am willing to put it in if it is necessary.
>
> Convention is to use the stock ticker symbol.  If the company is
> private and has no stock ticker symbol, then the company name should
> be used.

The three forms are, in order of preference:

0NNNNNN with NNNNNN the (hexadecimal) OUI;
ABCDE (uppercase stock symbol);
abcde (any name that cannot be confused for the other two forms;
        usually by making it lowercase).

The preference is in this order because OUI _is_ unique, stock ticker
will likely be unique (but not always!), and for random names there
is no guarantee or assurance at all.

I've never actually seen the OUI used, it's not very user-friendly ;-)

Segher